DocMkrText Class Reference documentation

DocMkrText Class Reference

the main class to read the text part of DocMaker file More...

`#include <DocMkrText.hxx>`

## Public Member Functions
| DocMkrText (DocMkrParser &parser)
| constructor
virtual | ~DocMkrText ()
| destructor
int | version () const
| returns the file version
int | numPages () const
| returns the number of pages
int | numChapters () const
| returns the number of chapter
void | sendComment (std::string const &str)
| send a string as comment

## Protected Member Functions
bool | createZones ()
| finds the different text zones
bool | sendMainText ()
| send a main zone
void | flushExtra ()
| sends the data which have not yet been sent to the listener
void | computeNumPages (DocMkrTextInternal::Zone const &zone) const
| compute the number of page of a zone
void | updatePageSpanList (std::vector< MWAWPageSpan > &spanList)
| update the page span list
bool | sendText (DocMkrTextInternal::Zone const &zone)
| try to send the text corresponding to a zone
bool | readFontNames (MWAWEntry const &entry)
| try to read the font name ( resource rQDF )
bool | readStyles (MWAWEntry const &entry)
| try to read the styles ( resource styl )
bool | readTOC (MWAWEntry const &entry)
| try to read a TOC zone? ( resource cnt# )
bool | sendTOC ()
| try to send a TOC zone
bool | readWindows (MWAWEntry const &entry)
| try to read the windows information zone? ( resource Wndo )
bool | readFooter (MWAWEntry const &entry)
| try to read the footer zone ( resource foot )
bool | sendFooter (int zId)
| try to send a footer corresponding to a zone id
void | sendString (std::string const &str) const
| send a string to the listener

## Protected Attributes
MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< DocMkrTextInternal::State > | m_state
| the state
DocMkrParser * | m_mainParser
| the main parser;

## Private Member Functions
| DocMkrText (DocMkrText const &orig)=delete
DocMkrText & | operator= (DocMkrText const &orig)=delete

## Friends
class | DocMkrTextInternal::SubDocument
class | DocMkrParser

## Detailed Description

the main class to read the text part of DocMaker file

## Constructor & Destructor Documentation

## ◆ DocMkrText() [1/2]

DocMkrText::DocMkrText | ( | DocMkrParser & | parser | ) |
| explicit

constructor

Referenced by DocMkrText(), and operator=().

## ◆ ~DocMkrText()

DocMkrText::~DocMkrText | ( |  | ) |
| virtual

destructor

## ◆ DocMkrText() [2/2]

DocMkrText::DocMkrText | ( | DocMkrText const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ computeNumPages()

void DocMkrText::computeNumPages | ( | DocMkrTextInternal::Zone const & | zone | ) | const
| protected

compute the number of page of a zone

Referenced by numPages().

## ◆ createZones()

bool DocMkrText::createZones | ( |  | ) |
| protected

finds the different text zones

## ◆ flushExtra()

void DocMkrText::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

## ◆ numChapters()

int DocMkrText::numChapters | ( |  | ) | const

returns the number of chapter

## ◆ numPages()

int DocMkrText::numPages | ( |  | ) | const

returns the number of pages

Referenced by updatePageSpanList().

## ◆ operator=()

DocMkrText & DocMkrText::operator= | ( | DocMkrText const & | orig | ) |
| privatedelete

## ◆ readFontNames()

bool DocMkrText::readFontNames | ( | MWAWEntry const & | entry | ) |
| protected

try to read the font name ( resource rQDF )

Referenced by createZones().

## ◆ readFooter()

bool DocMkrText::readFooter | ( | MWAWEntry const & | entry | ) |
| protected

try to read the footer zone ( resource foot )

Referenced by createZones().

## ◆ readStyles()

bool DocMkrText::readStyles | ( | MWAWEntry const & | entry | ) |
| protected

try to read the styles ( resource styl )

Referenced by createZones().

## ◆ readTOC()

bool DocMkrText::readTOC | ( | MWAWEntry const & | entry | ) |
| protected

try to read a TOC zone? ( resource cnt# )

Referenced by createZones().

## ◆ readWindows()

bool DocMkrText::readWindows | ( | MWAWEntry const & | entry | ) |
| protected

try to read the windows information zone? ( resource Wndo )

Referenced by createZones().

## ◆ sendComment()

void DocMkrText::sendComment | ( | std::string const & | str | ) |

send a string as comment

## ◆ sendFooter()

bool DocMkrText::sendFooter | ( | int | zId | ) |
| protected

try to send a footer corresponding to a zone id

## ◆ sendMainText()

bool DocMkrText::sendMainText | ( |  | ) |
| protected

send a main zone

## ◆ sendString()

void DocMkrText::sendString | ( | std::string const & | str | ) | const
| protected

send a string to the listener

Referenced by sendFooter(), and sendTOC().

## ◆ sendText()

bool DocMkrText::sendText | ( | DocMkrTextInternal::Zone const & | zone | ) |
| protected

try to send the text corresponding to a zone

Referenced by sendMainText().

## ◆ sendTOC()

bool DocMkrText::sendTOC | ( |  | ) |
| protected

try to send a TOC zone

## ◆ updatePageSpanList()

void DocMkrText::updatePageSpanList | ( | std::vector< MWAWPageSpan > & | spanList | ) |
| protected

update the page span list

## ◆ version()

int DocMkrText::version | ( |  | ) | const

returns the file version

## Friends And Related Symbol Documentation

## ◆ DocMkrParser

friend class DocMkrParser
| friend

Referenced by DocMkrParser, and DocMkrText().

## ◆ DocMkrTextInternal::SubDocument

friend class DocMkrTextInternal::SubDocument
| friend

## Member Data Documentation

## ◆ m_mainParser

DocMkrParser* DocMkrText::m_mainParser
| protected

the main parser;

Referenced by computeNumPages(), createZones(), DocMkrText(), readFontNames(), readFooter(), readStyles(), readTOC(), readWindows(), sendComment(), sendFooter(), sendMainText(), sendText(), and updatePageSpanList().

## ◆ m_parserState

MWAWParserStatePtr DocMkrText::m_parserState
| protected

the parser state

Referenced by DocMkrText(), readFooter(), readStyles(), sendComment(), sendFooter(), sendMainText(), sendString(), sendText(), sendTOC(), and version().

## ◆ m_state

std::shared_ptr<DocMkrTextInternal::State> DocMkrText::m_state
| protected

the state

Referenced by createZones(), DocMkrText(), numChapters(), numPages(), readFooter(), readStyles(), readTOC(), readWindows(), sendFooter(), sendMainText(), sendText(), sendTOC(), updatePageSpanList(), and version().

The documentation for this class was generated from the following files:

- DocMkrText.hxx
- DocMkrText.cxx